## org.apache.batik.dom
Interface StyleSheetFactory

All Known Implementing Classes:
  ExtensibleDOMImplementation, SVG12DOMImplementation, SVGDOMImplementation

    public interface StyleSheetFactory

This interface represents a StyleSheet factory.

Method Summary
`org.w3c.dom.stylesheets.StyleSheet` `createStyleSheet(org.w3c.dom.Node node, HashTable pseudoAttrs)` Creates a stylesheet from the data of the xml-stylesheet processing instruction or return null when it is not possible to create the given stylesheet.

Method Detail

### createStyleSheet

    org.w3c.dom.stylesheets.StyleSheet createStyleSheet(org.w3c.dom.Node node,
                                                        HashTable pseudoAttrs)

  Creates a stylesheet from the data of the xml-stylesheet processing instruction or return null when it is not possible to create the given stylesheet.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.